--vmp3 by mrafenne



mov1 = 0
mov2 = 0

function nomvis1()
mov2 = 0
if preiw == "fasle" and next == "fasle" then
if mov1 <= 251 and mov1 >= 0 then
mov1 = mov1 +8
end
end
end


statut = "defaut"
while true do
screen:clear()

if pad:circle() then
statut = "affiche"
end

if statut == "affiche" then
nomvis1() 
screen:fillRect(40,mov1,400,1,white)
screen:fillRect(40,mov1,Mp3me.percent()*4,1,green)
screen:fontPrint(font,mov1+120,253,Mp3me.gettime(),green)
screen:fontPrint(font,mov1+120,270,Mp3me.songTime(),white)
screen:fontPrint(font,mov1-215,253,Mp3me.title(),white)
screen:fontPrint(font,mov1-215,270,Mp3me.album(),white)


end
if pad:square() then
statut = "defaut"
end

screen:drawLine(0,136,5,50+Mp3me.vis(0),green)
screen:drawLine(5,50+Mp3me.vis(0),10,136,green)
screen:drawLine(10,136,15,50+Mp3me.vis(5),green)
screen:drawLine(15,50+Mp3me.vis(5),20,136,green)
screen:drawLine(20,136,25,50+Mp3me.vis(10),green)
screen:drawLine(25,50+Mp3me.vis(10),30,136,green)
screen:drawLine(30,136,35,50+Mp3me.vis(15),green)
screen:drawLine(35,50+Mp3me.vis(15),40,136,green)
screen:drawLine(40,136,45,50+Mp3me.vis(20),green)
screen:drawLine(45,50+Mp3me.vis(20),50,136,green)
screen:drawLine(50,136,55,50+Mp3me.vis(25),green)
screen:drawLine(55,50+Mp3me.vis(25),60,136,green)
screen:drawLine(60,136,65,50+Mp3me.vis(30),green)
screen:drawLine(65,50+Mp3me.vis(30),70,136,green)
screen:drawLine(70,136,75,50+Mp3me.vis(35),green)
screen:drawLine(75,50+Mp3me.vis(35),80,136,green)
screen:drawLine(80,136,85,50+Mp3me.vis(40),green)
screen:drawLine(85,50+Mp3me.vis(40),90,136,green)
screen:drawLine(90,136,95,50+Mp3me.vis(45),green)
screen:drawLine(95,50+Mp3me.vis(45),100,136,green)
screen:drawLine(100,136,105,50+Mp3me.vis(50),green)
screen:drawLine(105,50+Mp3me.vis(50),110,136,green)
screen:drawLine(110,136,115,50+Mp3me.vis(55),green)
screen:drawLine(115,50+Mp3me.vis(55),120,136,green)
screen:drawLine(120,136,125,50+Mp3me.vis(60),green)
screen:drawLine(125,50+Mp3me.vis(60),130,136,green)
screen:drawLine(130,136,135,50+Mp3me.vis(65),green)
screen:drawLine(135,50+Mp3me.vis(65),140,136,green)
screen:drawLine(140,136,145,50+Mp3me.vis(70),green)
screen:drawLine(145,50+Mp3me.vis(70),150,136,green)
screen:drawLine(150,136,155,50+Mp3me.vis(75),green)
screen:drawLine(155,50+Mp3me.vis(75),160,136,green)
screen:drawLine(160,136,165,50+Mp3me.vis(80),green)
screen:drawLine(165,50+Mp3me.vis(80),170,136,green)
screen:drawLine(170,136,175,50+Mp3me.vis(85),green)
screen:drawLine(175,50+Mp3me.vis(85),180,136,green)
screen:drawLine(180,136,185,50+Mp3me.vis(90),green)
screen:drawLine(185,50+Mp3me.vis(90),190,136,green)
screen:drawLine(190,136,195,50+Mp3me.vis(95),green)
screen:drawLine(195,50+Mp3me.vis(95),200,136,green)
screen:drawLine(200,136,205,50+Mp3me.vis(100),green)
screen:drawLine(205,50+Mp3me.vis(100),210,136,green)
screen:drawLine(210,136,215,50+Mp3me.vis(105),green)
screen:drawLine(215,50+Mp3me.vis(105),220,136,green)
screen:drawLine(220,136,225,50+Mp3me.vis(110),green)
screen:drawLine(225,50+Mp3me.vis(110),230,136,green)
screen:drawLine(230,136,235,50+Mp3me.vis(115),green)
screen:drawLine(235,50+Mp3me.vis(115),240,136,green)
screen:drawLine(240,136,245,50+Mp3me.vis(120),green)
screen:drawLine(245,50+Mp3me.vis(120),250,136,green)
screen:drawLine(250,136,255,50+Mp3me.vis(125),green)
screen:drawLine(255,50+Mp3me.vis(125),260,136,green)
screen:drawLine(260,136,265,50+Mp3me.vis(130),green)
screen:drawLine(265,50+Mp3me.vis(130),270,136,green)
screen:drawLine(270,136,275,50+Mp3me.vis(135),green)
screen:drawLine(275,50+Mp3me.vis(135),280,136,green)
screen:drawLine(280,136,285,50+Mp3me.vis(140),green)
screen:drawLine(285,50+Mp3me.vis(140),290,136,green)
screen:drawLine(290,136,295,50+Mp3me.vis(145),green)
screen:drawLine(295,50+Mp3me.vis(145),300,136,green)
screen:drawLine(300,136,305,50+Mp3me.vis(150),green)
screen:drawLine(305,50+Mp3me.vis(150),310,136,green)
screen:drawLine(310,136,315,50+Mp3me.vis(155),green)
screen:drawLine(315,50+Mp3me.vis(155),320,136,green)
screen:drawLine(320,136,325,50+Mp3me.vis(160),green)
screen:drawLine(325,50+Mp3me.vis(160),330,136,green)
screen:drawLine(330,136,335,50+Mp3me.vis(165),green)
screen:drawLine(335,50+Mp3me.vis(165),340,136,green)
screen:drawLine(340,136,345,50+Mp3me.vis(170),green)
screen:drawLine(345,50+Mp3me.vis(170),350,136,green)
screen:drawLine(350,136,355,50+Mp3me.vis(175),green)
screen:drawLine(355,50+Mp3me.vis(175),360,136,green)
screen:drawLine(360,136,365,50+Mp3me.vis(180),green)
screen:drawLine(365,50+Mp3me.vis(180),370,136,green)
screen:drawLine(370,136,375,50+Mp3me.vis(185),green)
screen:drawLine(375,50+Mp3me.vis(185),380,136,green)
screen:drawLine(380,136,385,50+Mp3me.vis(190),green)
screen:drawLine(385,50+Mp3me.vis(190),390,136,green)
screen:drawLine(390,136,395,50+Mp3me.vis(195),green)
screen:drawLine(395,50+Mp3me.vis(195),400,136,green)
screen:drawLine(400,136,405,50+Mp3me.vis(200),green)
screen:drawLine(405,50+Mp3me.vis(200),410,136,green)
screen:drawLine(410,136,415,50+Mp3me.vis(205),green)
screen:drawLine(415,50+Mp3me.vis(205),420,136,green)
screen:drawLine(420,136,425,50+Mp3me.vis(210),green)
screen:drawLine(425,50+Mp3me.vis(210),430,136,green)
screen:drawLine(430,136,435,50+Mp3me.vis(215),green)
screen:drawLine(435,50+Mp3me.vis(215),440,136,green)
screen:drawLine(440,136,445,50+Mp3me.vis(220),green)
screen:drawLine(445,50+Mp3me.vis(220),450,136,green)
screen:drawLine(450,136,455,50+Mp3me.vis(225),green)
screen:drawLine(455,50+Mp3me.vis(225),460,136,green)
screen:drawLine(460,136,465,50+Mp3me.vis(230),green)
screen:drawLine(465,50+Mp3me.vis(230),470,136,green)
screen:drawLine(470,136,475,50+Mp3me.vis(235),green)
screen:drawLine(475,50+Mp3me.vis(235),480,136,green)




screen:drawLine(0,170,5,85+Mp3me.vis(0),green)
screen:drawLine(5,85+Mp3me.vis(0),10,170,green)
screen:drawLine(10,170,15,85+Mp3me.vis(5),green)
screen:drawLine(15,85+Mp3me.vis(5),20,170,green)
screen:drawLine(20,170,25,85+Mp3me.vis(10),green)
screen:drawLine(25,85+Mp3me.vis(10),30,170,green)
screen:drawLine(30,170,35,85+Mp3me.vis(15),green)
screen:drawLine(35,85+Mp3me.vis(15),40,170,green)
screen:drawLine(40,170,45,85+Mp3me.vis(20),green)
screen:drawLine(45,85+Mp3me.vis(20),50,170,green)
screen:drawLine(50,170,55,85+Mp3me.vis(25),green)
screen:drawLine(55,85+Mp3me.vis(25),60,170,green)
screen:drawLine(60,170,65,85+Mp3me.vis(30),green)
screen:drawLine(65,85+Mp3me.vis(30),70,170,green)
screen:drawLine(70,170,75,85+Mp3me.vis(35),green)
screen:drawLine(75,85+Mp3me.vis(35),80,170,green)
screen:drawLine(80,170,85,85+Mp3me.vis(40),green)
screen:drawLine(85,85+Mp3me.vis(40),90,170,green)
screen:drawLine(90,170,95,85+Mp3me.vis(45),green)
screen:drawLine(95,85+Mp3me.vis(45),100,170,green)
screen:drawLine(100,170,105,85+Mp3me.vis(50),green)
screen:drawLine(105,85+Mp3me.vis(50),110,170,green)
screen:drawLine(110,170,115,85+Mp3me.vis(55),green)
screen:drawLine(115,85+Mp3me.vis(55),120,170,green)
screen:drawLine(120,170,125,85+Mp3me.vis(60),green)
screen:drawLine(125,85+Mp3me.vis(60),130,170,green)
screen:drawLine(130,170,135,85+Mp3me.vis(65),green)
screen:drawLine(135,85+Mp3me.vis(65),140,170,green)
screen:drawLine(140,170,145,85+Mp3me.vis(70),green)
screen:drawLine(145,85+Mp3me.vis(70),150,170,green)
screen:drawLine(150,170,155,85+Mp3me.vis(75),green)
screen:drawLine(155,85+Mp3me.vis(75),160,170,green)
screen:drawLine(160,170,165,85+Mp3me.vis(80),green)
screen:drawLine(165,85+Mp3me.vis(80),170,170,green)
screen:drawLine(170,170,175,85+Mp3me.vis(85),green)
screen:drawLine(175,85+Mp3me.vis(85),180,170,green)
screen:drawLine(180,170,185,85+Mp3me.vis(90),green)
screen:drawLine(185,85+Mp3me.vis(90),190,170,green)
screen:drawLine(190,170,195,85+Mp3me.vis(95),green)
screen:drawLine(195,85+Mp3me.vis(95),200,170,green)
screen:drawLine(200,170,205,85+Mp3me.vis(100),green)
screen:drawLine(205,85+Mp3me.vis(100),210,170,green)
screen:drawLine(210,170,215,85+Mp3me.vis(105),green)
screen:drawLine(215,85+Mp3me.vis(105),220,170,green)
screen:drawLine(220,170,225,85+Mp3me.vis(110),green)
screen:drawLine(225,85+Mp3me.vis(110),230,170,green)
screen:drawLine(230,170,235,85+Mp3me.vis(115),green)
screen:drawLine(235,85+Mp3me.vis(115),240,170,green)
screen:drawLine(240,170,245,85+Mp3me.vis(120),green)
screen:drawLine(245,85+Mp3me.vis(120),250,170,green)
screen:drawLine(250,170,255,85+Mp3me.vis(125),green)
screen:drawLine(255,85+Mp3me.vis(125),260,170,green)
screen:drawLine(260,170,265,85+Mp3me.vis(130),green)
screen:drawLine(265,85+Mp3me.vis(130),270,170,green)
screen:drawLine(270,170,275,85+Mp3me.vis(135),green)
screen:drawLine(275,85+Mp3me.vis(135),280,170,green)
screen:drawLine(280,170,285,85+Mp3me.vis(140),green)
screen:drawLine(285,85+Mp3me.vis(140),290,170,green)
screen:drawLine(290,170,295,85+Mp3me.vis(145),green)
screen:drawLine(295,85+Mp3me.vis(145),300,170,green)
screen:drawLine(300,170,305,85+Mp3me.vis(150),green)
screen:drawLine(305,85+Mp3me.vis(150),310,170,green)
screen:drawLine(310,170,315,85+Mp3me.vis(155),green)
screen:drawLine(315,85+Mp3me.vis(155),320,170,green)
screen:drawLine(320,170,325,85+Mp3me.vis(160),green)
screen:drawLine(325,85+Mp3me.vis(160),330,170,green)
screen:drawLine(330,170,335,85+Mp3me.vis(165),green)
screen:drawLine(335,85+Mp3me.vis(165),340,170,green)
screen:drawLine(340,170,345,85+Mp3me.vis(170),green)
screen:drawLine(345,85+Mp3me.vis(170),350,170,green)
screen:drawLine(350,170,355,85+Mp3me.vis(175),green)
screen:drawLine(355,85+Mp3me.vis(175),360,170,green)
screen:drawLine(360,170,365,85+Mp3me.vis(180),green)
screen:drawLine(365,85+Mp3me.vis(180),370,170,green)
screen:drawLine(370,170,375,85+Mp3me.vis(185),green)
screen:drawLine(375,85+Mp3me.vis(185),380,170,green)
screen:drawLine(380,170,385,85+Mp3me.vis(190),green)
screen:drawLine(385,85+Mp3me.vis(190),390,170,green)
screen:drawLine(390,170,395,85+Mp3me.vis(195),green)
screen:drawLine(395,85+Mp3me.vis(195),400,170,green)
screen:drawLine(400,170,405,85+Mp3me.vis(200),green)
screen:drawLine(405,85+Mp3me.vis(200),410,170,green)
screen:drawLine(410,170,415,85+Mp3me.vis(205),green)
screen:drawLine(415,85+Mp3me.vis(205),420,170,green)
screen:drawLine(420,170,425,85+Mp3me.vis(210),green)
screen:drawLine(425,85+Mp3me.vis(210),430,170,green)
screen:drawLine(430,170,435,85+Mp3me.vis(215),green)
screen:drawLine(435,85+Mp3me.vis(215),440,170,green)
screen:drawLine(440,170,445,85+Mp3me.vis(220),green)
screen:drawLine(445,85+Mp3me.vis(220),450,170,green)
screen:drawLine(450,170,455,85+Mp3me.vis(225),green)
screen:drawLine(455,85+Mp3me.vis(225),460,170,green)
screen:drawLine(460,170,465,85+Mp3me.vis(230),green)
screen:drawLine(465,85+Mp3me.vis(230),470,170,green)
screen:drawLine(470,170,475,85+Mp3me.vis(235),green)
screen:drawLine(475,85+Mp3me.vis(235),480,170,green)




screen:drawLine(0,102,5,15+Mp3me.vis(0),green)
screen:drawLine(5,15+Mp3me.vis(0),10,102,green)
screen:drawLine(10,102,15,15+Mp3me.vis(5),green)
screen:drawLine(15,15+Mp3me.vis(5),20,102,green)
screen:drawLine(20,102,25,15+Mp3me.vis(10),green)
screen:drawLine(25,15+Mp3me.vis(10),30,102,green)
screen:drawLine(30,102,35,15+Mp3me.vis(15),green)
screen:drawLine(35,15+Mp3me.vis(15),40,102,green)
screen:drawLine(40,102,45,15+Mp3me.vis(20),green)
screen:drawLine(45,15+Mp3me.vis(20),50,102,green)
screen:drawLine(50,102,55,15+Mp3me.vis(25),green)
screen:drawLine(55,15+Mp3me.vis(25),60,102,green)
screen:drawLine(60,102,65,15+Mp3me.vis(30),green)
screen:drawLine(65,15+Mp3me.vis(30),70,102,green)
screen:drawLine(70,102,75,15+Mp3me.vis(35),green)
screen:drawLine(75,15+Mp3me.vis(35),80,102,green)
screen:drawLine(80,102,85,15+Mp3me.vis(40),green)
screen:drawLine(85,15+Mp3me.vis(40),90,102,green)
screen:drawLine(90,102,95,15+Mp3me.vis(45),green)
screen:drawLine(95,15+Mp3me.vis(45),100,102,green)
screen:drawLine(100,102,105,15+Mp3me.vis(50),green)
screen:drawLine(105,15+Mp3me.vis(50),110,102,green)
screen:drawLine(110,102,115,15+Mp3me.vis(55),green)
screen:drawLine(115,15+Mp3me.vis(55),120,102,green)
screen:drawLine(120,102,125,15+Mp3me.vis(60),green)
screen:drawLine(125,15+Mp3me.vis(60),130,102,green)
screen:drawLine(130,102,135,15+Mp3me.vis(65),green)
screen:drawLine(135,15+Mp3me.vis(65),140,102,green)
screen:drawLine(140,102,145,15+Mp3me.vis(70),green)
screen:drawLine(145,15+Mp3me.vis(70),150,102,green)
screen:drawLine(150,102,155,15+Mp3me.vis(75),green)
screen:drawLine(155,15+Mp3me.vis(75),160,102,green)
screen:drawLine(160,102,165,15+Mp3me.vis(80),green)
screen:drawLine(165,15+Mp3me.vis(80),170,102,green)
screen:drawLine(170,102,175,15+Mp3me.vis(85),green)
screen:drawLine(175,15+Mp3me.vis(85),180,102,green)
screen:drawLine(180,102,185,15+Mp3me.vis(90),green)
screen:drawLine(185,15+Mp3me.vis(90),190,102,green)
screen:drawLine(190,102,195,15+Mp3me.vis(95),green)
screen:drawLine(195,15+Mp3me.vis(95),200,102,green)
screen:drawLine(200,102,205,15+Mp3me.vis(100),green)
screen:drawLine(205,15+Mp3me.vis(100),210,102,green)
screen:drawLine(210,102,215,15+Mp3me.vis(105),green)
screen:drawLine(215,15+Mp3me.vis(105),220,102,green)
screen:drawLine(220,102,225,15+Mp3me.vis(110),green)
screen:drawLine(225,15+Mp3me.vis(110),230,102,green)
screen:drawLine(230,102,235,15+Mp3me.vis(115),green)
screen:drawLine(235,15+Mp3me.vis(115),240,102,green)
screen:drawLine(240,102,245,15+Mp3me.vis(120),green)
screen:drawLine(245,15+Mp3me.vis(120),250,102,green)
screen:drawLine(250,102,255,15+Mp3me.vis(125),green)
screen:drawLine(255,15+Mp3me.vis(125),260,102,green)
screen:drawLine(260,102,265,15+Mp3me.vis(130),green)
screen:drawLine(265,15+Mp3me.vis(130),270,102,green)
screen:drawLine(270,102,275,15+Mp3me.vis(135),green)
screen:drawLine(275,15+Mp3me.vis(135),280,102,green)
screen:drawLine(280,102,285,15+Mp3me.vis(140),green)
screen:drawLine(285,15+Mp3me.vis(140),290,102,green)
screen:drawLine(290,102,295,15+Mp3me.vis(145),green)
screen:drawLine(295,15+Mp3me.vis(145),300,102,green)
screen:drawLine(300,102,305,15+Mp3me.vis(150),green)
screen:drawLine(305,15+Mp3me.vis(150),310,102,green)
screen:drawLine(310,102,315,15+Mp3me.vis(155),green)
screen:drawLine(315,15+Mp3me.vis(155),320,102,green)
screen:drawLine(320,102,325,15+Mp3me.vis(160),green)
screen:drawLine(325,15+Mp3me.vis(160),330,102,green)
screen:drawLine(330,102,335,15+Mp3me.vis(165),green)
screen:drawLine(335,15+Mp3me.vis(165),340,102,green)
screen:drawLine(340,102,345,15+Mp3me.vis(170),green)
screen:drawLine(345,15+Mp3me.vis(170),350,102,green)
screen:drawLine(350,102,355,15+Mp3me.vis(175),green)
screen:drawLine(355,15+Mp3me.vis(175),360,102,green)
screen:drawLine(360,102,365,15+Mp3me.vis(180),green)
screen:drawLine(365,15+Mp3me.vis(180),370,102,green)
screen:drawLine(370,102,375,15+Mp3me.vis(185),green)
screen:drawLine(375,15+Mp3me.vis(185),380,102,green)
screen:drawLine(380,102,385,15+Mp3me.vis(190),green)
screen:drawLine(385,15+Mp3me.vis(190),390,102,green)
screen:drawLine(390,102,395,15+Mp3me.vis(195),green)
screen:drawLine(395,15+Mp3me.vis(195),400,102,green)
screen:drawLine(400,102,405,15+Mp3me.vis(200),green)
screen:drawLine(405,15+Mp3me.vis(200),410,102,green)
screen:drawLine(410,102,415,15+Mp3me.vis(205),green)
screen:drawLine(415,15+Mp3me.vis(205),420,102,green)
screen:drawLine(420,102,425,15+Mp3me.vis(210),green)
screen:drawLine(425,15+Mp3me.vis(210),430,102,green)
screen:drawLine(430,102,435,15+Mp3me.vis(215),green)
screen:drawLine(435,15+Mp3me.vis(215),440,102,green)
screen:drawLine(440,102,445,15+Mp3me.vis(220),green)
screen:drawLine(445,15+Mp3me.vis(220),450,102,green)
screen:drawLine(450,102,455,15+Mp3me.vis(225),green)
screen:drawLine(455,15+Mp3me.vis(225),460,102,green)
screen:drawLine(460,102,465,15+Mp3me.vis(230),green)
screen:drawLine(465,15+Mp3me.vis(230),470,102,green)
screen:drawLine(470,102,475,15+Mp3me.vis(235),green)
screen:drawLine(475,15+Mp3me.vis(235),480,102,green)

pad = Controls.read()

if pad:r() and not oldpad:r() then
if fbrowser.s < (fbrowser.nf + 1) then
i = fbrowser.s + 1
if i < (fbrowser.nf + 1) then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
fbrowser.s = fbrowser.s + 1
Mp3me.stop()
screen:clear()
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:l() and not oldpad:l() then
if fbrowser.s < (fbrowser.nf + 1) and fbrowser.s > 2 then
i = fbrowser.s - 1
if i < (fbrowser.nf + 1) and i > 2 then
if string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".mp3" or
string.lower(string.sub(fbrowser.fl[i].name, -4)) == ".MP3" then
Mp3me.stop()
screen:clear()
fbrowser.s = fbrowser.s - 1
Mp3me.load(fbrowser.fl[fbrowser.s].name)
Mp3me.play()
end
end
end
end

if pad:cross() and not oldpad:cross() then
Mp3me.pause()
end

if pad:left() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp32.lua")
end

if pad:right() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/Ibis/vmp35.lua")
end

if pad:triangle() then
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/menu.lua")
end


if pad:start() then 
screen.waitVblankStart(50)
dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")
exitMenu()
end


screen.waitVblankStart()
screen.flip()
oldpad = pad
end


